transport service hello reduction, klocwork fixes
[oweals/gnunet.git] / src / transport / gnunet-transport-certificate-creation
index 294f54a3d52edeaabd0964c0bab0b1216e4fc3dd..539035ad58868fbb27869fa2e676b61386ef0048 100755 (executable)
@@ -1,12 +1,27 @@
-#!/bin/bash
+#!/bin/sh
 
 # GNUnet TLS certificate shell scricpt
 # Creates a TSL certificate to use with HTTPS transport plugin
 
+if [ $# -ne 2 ]; then
+ exit 1
+fi
+
 rm -f $1 $2
 
 # Create RSA Private Key
-openssl genrsa -out $1 1024 > /dev/null
+openssl genrsa -out $1 1024 2> /dev/null
+if [ $? -ne 0 ]; then
+ rm -f $1 $2
+ exit 1
+fi 
 # Create a self-signed certificate in batch mode using rsa key
-openssl req -batch -days 365 -out $2 -new -x509 -key $1 > /dev/null
-chmod 0400 $1 $2
\ No newline at end of file
+   openssl req -batch -days 365 -out $2 -new -x509 -key $1 2> /dev/null
+if [ $? -ne 0 ]; then
+ rm -f $1 $2
+ exit 1
+fi 
+
+chmod 0400 $1 $2
+
+exit 0